
/* mapbox styles */

.mapboxgl-map { font-family:inherit; }

.clmap-cluster { 
  background-color:#E6E4E0;
  width:100%; 
  height:calc(100vh - 92px);  
}
@media all and (min-width: 992px) {
  .clmap-cluster {
    height:calc(100vh - 140px);
  }
}


.clmap-cluster {
  .mapboxgl-popup { width: 240px; padding-bottom: 10px; }

  .mapboxgl-popup-content {
    background: #fff;
    border-radius: 9px;
    box-shadow: 0 1px 2px #0000005a;
    padding: 10px 10px 15px;
    pointer-events: auto;
    position: relative;

    padding:0px;
    
  }


  .mapboxgl-popup-close-button {
    font-size: 16px;
    line-height:24px;
    font-weight: 900;
    color:#212529;  
    background-color: #f0c147;
    padding: 8px 12px;
    right: -9px;
    top: -9px;
    border-radius: 50%;
    width: 24px;
    height: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.2s ease;
    box-shadow: 0 1px 3px rgba(0,0,0,0.1);
    z-index:999;
}

.mapboxgl-popup-close-button:hover {
     color:#212529;  
    background-color: #f0c147;
    box-shadow: 0 2px 5px rgba(0,0,0,0.15);
}

.aSwiper { position:relative; }
.s-next, .s-prev { 
  position:absolute;
  display:block;
  text-align:center;
  top:240px;
  width:40px;
  height:24px;
  font-size:12px;
  line-height:24px;
  background-color:#f0c147; 
  color:#212529;
  z-index:998;
}
.s-next { right:0px; }
.s-prev { left:0px; }


  .kpop-image { width:100%; padding-bottom:100%; background-color:#ddd; background-position: center center; background-size:cover; border-radius:10px 10px 0 0;}

  .kpop-count { width:100%; padding:0 0.75rem; text-align:center; color:#212529;  background-color: #f0c147; font-size:0.6rem; line-height:24px; font-weight:800; }

  .kpop-content { text-align: left; padding:0.75rem; }
  .kpop-name { 
    font-weight: 900;
    font-size: 1rem;
    line-height: 1.3;
    margin-bottom: 0.25rem;
    text-wrap: balance;
  }
  .kpop-name a { color:inherit; }
   
  .kpop-year { 
    font-weight: 900;
    font-size: 0.75rem;
    line-height: 1.4;
    margin-bottom: 0.25rem;
    /* text-wrap: balance;  */
  }
  .kpop-artist { 
    font-weight: 500;
    font-size: 0.75rem;
    line-height: 1.4;
    margin-bottom: 0.25rem;
    /* text-wrap: balance; */
  }
   .kpop-link { 
    margin-top: 0.5rem;
    margin-bottom: 0.25rem;
  }
 
}


.btn-brand-kpop { 
  background-color:#212529; 
  border:1px solid #212529;  
  color:white; 
  font-size:0.6rem; font-weight:600; text-transform:none; letter-spacing:0.010rem; 
  border-radius:20px; 
  margin: 0; 
  padding: .175rem 0.5rem; 
  transition:var(--cty-transition-hover);  
  text-decoration:none; 
}
.btn-brand-kpop:hover {  
  background-color:#212529; 
  border-color:#212529; 
  color:white; 
  text-decoration:none; 
}
